Home

# Class goog.i18n.CharListDecompressor

Class to decompress base88 compressed character list.

Instance Method Summary
| `addChars_(?Array.<string> list, number lastcode, number value, number type) ⇒ number` Add character(s) specified by the value and type to given list and return the next character in the sequence.
| `buildCharMap_(string str)` Builds the map from ascii characters used for the base88 scheme to number each character represents.
| `getCodeAt_(string str, number start, number leng) ⇒ number` Gets the number encoded in base88 scheme by a substring of given length and placed at the a given position of the string.
| `toCharList(string str) ⇒ ?Array.<string>` Gets the list of characters specified in the given string by base 88 scheme.